buildroot/package/i2pd/S99i2pd
Fabrice Fontaine fffbd2c9f7 i2pd: new package
i2pd (I2P Daemon) is a full-featured C++ implementation of I2P
client.

I2P (Invisible Internet Protocol) is a universal anonymous
network layer.
All communications over I2P are anonymous and end-to-end
encrypted, participants don't reveal their real IP addresses.

http://i2pd.website

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
[Thomas:
 - Add third patch to not install the license file in /usr/LICENSE and
   the source code in /usr/src instead of using a post-install-target
   hook to remove /usr/LICENSE and /usr/src. Indeed, we're not sure if
   /usr/src contains only stuff installed by this package.
 - Clarify the comment that explains why -DTHREADS_PTHREAD_ARG=OFF is
   passed, especially because it's only needed for older versions of
   CMake, and causes a warning with newer versions of CMake.
 - Propagate architecture dependencies to the Config.in comment about
   the exception_ptr requirement.]
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
2018-04-01 21:00:31 +02:00

39 lines
664 B
Bash

#!/bin/sh
NAME=i2pd
PIDFILE=/var/run/$NAME.pid
DAEMON=/usr/bin/$NAME
DAEMON_ARGS="--conf=/etc/i2pd/i2pd.conf --tunconf=/etc/i2pd/tunnels.conf --pidfile=/var/run/i2pd.pid --logfile=/var/log/i2pd.log --daemon --service"
start() {
printf "Starting $NAME: "
start-stop-daemon -S -q -m -b -p $PIDFILE --exec $DAEMON -- $DAEMON_ARGS
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping $NAME: "
start-stop-daemon -K -q -p $PIDFILE
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?